## ros-rolling-python-qt-binding 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(python_qt_binding)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)

ament_python_install_package(${PROJECT_NAME}
  PACKAGE_DIR src/${PROJECT_NAME})

install(FILES
  cmake/shiboken_helper.cmake
  cmake/sip_configure.py
  cmake/sip_helper.cmake
  DESTINATION share/${PROJECT_NAME}/cmake)

if(BUILD_TESTING)
  find_package(ament_cmake_pytest REQUIRED)
  find_package(ament_lint_auto REQUIRED)

  # Disabling copyright test. The copyright used in this package does not conform to
  # ament's copyright tests
  set(ament_cmake_copyright_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()

  ament_add_pytest_test(python_qt_binding test
    APPEND_ENV PYTHONPATH=${CMAKE_CURRENT_BINARY_DIR}
    TIMEOUT 90)
endif()

ament_package()

=== debian/changelog ===
ros-rolling-python-qt-binding (1.1.1-1focal) focal; urgency=high

  * Replace PythonInterp to Python3 COMPONENTS (#108 <https://github.com/ros-visualization/python_qt_binding/issues/108>)
  * Use PyQt5 module path to find SIP bindings (#106 <https://github.com/ros-visualization/python_qt_binding/issues/106>)
  * Contributors: Ben Wolsieffer, Homalozoa X

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 06 Dec 2021 08:00:00 -0000

ros-rolling-python-qt-binding (1.1.0-1focal) focal; urgency=high

  * Make FindPythonInterp dependency explicit (#107 <https://github.com/ros-visualization/python_qt_binding/issues/107>)
  * Add note about galactic branch (#104 <https://github.com/ros-visualization/python_qt_binding/issues/104>)
  * fuerte-devel is too new for ROS Electric (#101 <https://github.com/ros-visualization/python_qt_binding/issues/101>)
  * Contributors: Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 02 Nov 2021 07:00:00 -0000

ros-rolling-python-qt-binding (1.0.7-1focal) focal; urgency=high

  * Add repo README
  * Shorten some long lines of CMake (#99 <https://github.com/ros-visualization/python_qt_binding/issues/99>)
  * Contributors: Scott K Logan, Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-python-qt-binding (1.0.6-1focal) focal; urgency=high

  * Update maintainers (#96 <https://github.com/ros-visualization/python_qt_binding/issues/96>) (#98 <https://github.com/ros-visualization/python_qt_binding/issues/98>)
  * Add pytest.ini so local tests don't display warning (#93 <https://github.com/ros-visualization/python_qt_binding/issues/93>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Claire Wang <clairewang@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-python-qt-binding (1.0.5-1focal) focal; urgency=high

  * allow a list of INCLUDE_PATH (#92 <https://github.com/ros-visualization/python_qt_binding/issues/92>)
  * Use magic $(MAKE) variable to suppress build warning (#91 <https://github.com/ros-visualization/python_qt_binding/issues/91>)
  * Fix linking with non framework builds of qt (e.g. from conda-forge) (#84 <https://github.com/ros-visualization/python_qt_binding/issues/84>)
  * Contributors: Anton Matosov, Dirk Thomas, Robert Haschke

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-python-qt-binding (1.0.4-1focal) focal; urgency=high

  * remove obsolete function used for backward compatibility (#88 <https://github.com/ros-visualization/python_qt_binding/issues/88>)
  * disable Shiboken with CMake < 3.14 (#87 <https://github.com/ros-visualization/python_qt_binding/issues/87>)
  * fix case of CMake function (#86 <https://github.com/ros-visualization/python_qt_binding/issues/86>)
  * restore QUIET which was reverted in #79 <https://github.com/ros-visualization/python_qt_binding/issues/79>
  * use PySide2 and Shiboken2 targets for variables (#79 <https://github.com/ros-visualization/python_qt_binding/issues/79>)
  * Contributors: Dirk Thomas, Hermann von Kleist

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 05 May 2020 07:00:00 -0000

ros-rolling-python-qt-binding (1.0.3-1focal) focal; urgency=high

  * check if Shiboken2Config.cmake defines a target instead of a variable (#77 <https://github.com/ros-visualization/python_qt_binding/issues/77>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 12 Nov 2019 08:00:00 -0000

ros-rolling-python-qt-binding (1.0.2-1focal) focal; urgency=high

  * replace Qt variable in generated Makefile (#64 <https://github.com/ros-visualization/python_qt_binding/issues/64>)
  * don't add -l prefix if it already exists (#59 <https://github.com/ros-visualization/python_qt_binding/issues/59>)
  * if present, use the sipconfig suggested sip program (#70 <https://github.com/ros-visualization/python_qt_binding/issues/70>)
  * replace Qt variable in generated Makefile (#64 <https://github.com/ros-visualization/python_qt_binding/issues/64>) (#67 <https://github.com/ros-visualization/python_qt_binding/issues/67>)
  * fixing trivial accidental string concatenation (#66 <https://github.com/ros-visualization/python_qt_binding/issues/66>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 30 Sep 2019 07:00:00 -0000

ros-rolling-python-qt-binding (1.0.1-1focal) focal; urgency=high

  * no warnings for unavailable PySide/Shiboken (#58 <https://github.com/ros-visualization/python_qt_binding/issues/58>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Dec 2018 08:00:00 -0000

ros-rolling-python-qt-binding (1.0.0-1focal) focal; urgency=high

  * check for Homebrew's PyQt5 install path (#57 <https://github.com/ros-visualization/python_qt_binding/issues/57>)
  * port to Windows (#56 <https://github.com/ros-visualization/python_qt_binding/issues/56>)
  * fix lint tests (#55 <https://github.com/ros-visualization/python_qt_binding/issues/55>)
  * update sip_configure to handle improper lib names (#54 <https://github.com/ros-visualization/python_qt_binding/issues/54>)
  * port to ROS 2 (#52 <https://github.com/ros-visualization/python_qt_binding/issues/52>)
  * autopep8 (#51 <https://github.com/ros-visualization/python_qt_binding/issues/51>)
  * remove :: from shiboken include path (#48 <https://github.com/ros-visualization/python_qt_binding/issues/48>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Dec 2018 08:00:00 -0000

ros-rolling-python-qt-binding (0.3.4-1focal) focal; urgency=high

  * add support for additional Qt5 modules (#45 <https://github.com/ros-visualization/python_qt_binding/issues/45>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Aug 2018 07:00:00 -0000

ros-rolling-python-qt-binding (0.3.3-1focal) focal; urgency=high

  * Prefer qmake-qt5 over qmake when available (#43 <https://github.com/ros-visualization/python_qt_binding/issues/43>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-rolling-python-qt-binding (0.3.2-1focal) focal; urgency=high



=== debian/control ===
Source: ros-rolling-python-qt-binding
Section: misc
Priority: optional
Maintainer: Shane Loretz <sloretz@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libpyside2-dev, libshiboken2-dev, pyqt5-dev, python3-pyqt5, python3-pyqt5.qtsvg, python3-pyside2.qtsvg, python3-sip-dev, qtbase5-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-pytest, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, shiboken2, ros-rolling-ros-workspace
Homepage: http://ros.org/wiki/python_qt_binding
Standards-Version: 3.9.2

Package: ros-rolling-python-qt-binding
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpyside2-dev, libshiboken2-dev, pyqt5-dev, python3-pyqt5, python3-pyqt5.qtsvg, python3-pyside2.qtsvg, python3-sip-dev, shiboken2, ros-rolling-ros-workspace
Description: This stack provides Python bindings for Qt.
 There are two providers: pyside and pyqt. PySide2 is available under the GPL, LGPL and a commercial license. PyQt is released under the GPL. Both the bindings and tools to build bindings are included from each available provider. For PySide, it is called &quot;Shiboken&quot;. For PyQt, this is called &quot;SIP&quot;. Also provided is adapter code to make the user's Python code independent of which binding provider was actually used which makes it very easy to switch between these.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-python-qt-binding//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-python-qt-binding 1.3.0

=== debian/changelog ===
ros-rolling-python-qt-binding (1.3.0-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-python-qt-binding (1.2.3-1jammy) jammy; urgency=high

  * Fix to allow ninja to use make for generators (#123 <https://github.com/ros-visualization/python_qt_binding/issues/123>)
  * Fix flake8 linter regression (#125 <https://github.com/ros-visualization/python_qt_binding/issues/125>)
  * Remove pyqt from default binding order for macOS (#118 <https://github.com/ros-visualization/python_qt_binding/issues/118>)
  * Contributors: Christoph Hellmann Santos, Cristóbal Arroyo, Michael Carroll, Rhys Mainwaring

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-python-qt-binding (1.2.2-1jammy) jammy; urgency=high

  * Demote missing SIP message from WARNING to STATUS (#122 <https://github.com/ros-visualization/python_qt_binding/issues/122>)
  * Contributors: Scott K Logan

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 24 Feb 2023 00:00:00 -0000

ros-rolling-python-qt-binding (1.2.1-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#120 <https://github.com/ros-visualization/python_qt_binding/issues/120>)
  * Contributors: Audrow Nash

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-python-qt-binding (1.2.0-1jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 10 May 2022 00:00:00 -0000

ros-rolling-python-qt-binding (1.1.1-1jammy) jammy; urgency=high

  * Replace PythonInterp to Python3 COMPONENTS (#108 <https://github.com/ros-visualization/python_qt_binding/issues/108>)
  * Use PyQt5 module path to find SIP bindings (#106 <https://github.com/ros-visualization/python_qt_binding/issues/106>)
  * Contributors: Ben Wolsieffer, Homalozoa X

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 06 Dec 2021 00:00:00 -0000

ros-rolling-python-qt-binding (1.1.0-1jammy) jammy; urgency=high

  * Make FindPythonInterp dependency explicit (#107 <https://github.com/ros-visualization/python_qt_binding/issues/107>)
  * Add note about galactic branch (#104 <https://github.com/ros-visualization/python_qt_binding/issues/104>)
  * fuerte-devel is too new for ROS Electric (#101 <https://github.com/ros-visualization/python_qt_binding/issues/101>)
  * Contributors: Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 02 Nov 2021 00:00:00 -0000

ros-rolling-python-qt-binding (1.0.7-1jammy) jammy; urgency=high

  * Add repo README
  * Shorten some long lines of CMake (#99 <https://github.com/ros-visualization/python_qt_binding/issues/99>)
  * Contributors: Scott K Logan, Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-python-qt-binding (1.0.6-1jammy) jammy; urgency=high

  * Update maintainers (#96 <https://github.com/ros-visualization/python_qt_binding/issues/96>) (#98 <https://github.com/ros-visualization/python_qt_binding/issues/98>)
  * Add pytest.ini so local tests don't display warning (#93 <https://github.com/ros-visualization/python_qt_binding/issues/93>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-python-qt-binding (1.0.5-1jammy) jammy; urgency=high

  * allow a list of INCLUDE_PATH (#92 <https://github.com/ros-visualization/python_qt_binding/issues/92>)
  * Use magic $(MAKE) variable to suppress build warning (#91 <https://github.com/ros-visualization/python_qt_binding/issues/91>)
  * Fix linking with non framework builds of qt (e.g. from conda-forge) (#84 <https://github.com/ros-visualization/python_qt_binding/issues/84>)
  * Contributors: Anton Matosov, Dirk Thomas, Robert Haschke

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-python-qt-binding (1.0.4-1jammy) jammy; urgency=high

  * remove obsolete function used for backward compatibility (#88 <https://github.com/ros-visualization/python_qt_binding/issues/88>)
  * disable Shiboken with CMake < 3.14 (#87 <https://github.com/ros-visualization/python_qt_binding/issues/87>)
  * fix case of CMake function (#86 <https://github.com/ros-visualization/python_qt_binding/issues/86>)
  * restore QUIET which was reverted in #79 <https://github.com/ros-visualization/python_qt_binding/issues/79>
  * use PySide2 and Shiboken2 targets for variables (#79 <https://github.com/ros-visualization/python_qt_binding/issues/79>)
  * Contributors: Dirk Thomas, Hermann von Kleist

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 05 May 2020 00:00:00 -0000

ros-rolling-python-qt-binding (1.0.3-1jammy) jammy; urgency=high

  * check if Shiboken2Config.cmake defines a target instead of a variable (#77 <https://github.com/ros-visualization/python_qt_binding/issues/77>)

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 12 Nov 2019 00:00:00 -0000

ros-rolling-python-qt-binding (1.0.2-1jammy) jammy; urgency=high

  * replace Qt variable in generated Makefile (#64 <https://github.com/ros-visualization/python_qt_binding/issues/64>)
  * don't add -l prefix if it already exists (#59 <https://github.com/ros-visualization/python_qt_binding/issues/59>)
  * if present, use the sipconfig suggested sip program (#70 <https://github.com/ros-visualization/python_qt_binding/issues/70>)
  * replace Qt variable in generated Makefile (#64 <https://github.com/ros-visualization/python_qt_binding/issues/64>) (#67 <https://github.com/ros-visualization/python_qt_binding/issues/67>)
  * fixing trivial accidental string concatenation (#66 <https://github.com/ros-visualization/python_qt_binding/issues/66>)

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 30 Sep 2019 00:00:00 -0000

ros-rolling-python-qt-binding (1.0.1-1jammy) jammy; urgency=high

  * no warnings for unavailable PySide/Shiboken (#58 <https://github.com/ros-visualization/python_qt_binding/issues/58>)



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Shane Loretz <sloretz@openrobotics.org>
-Build-Depends: debhelper (>= 9.0.0), libpyside2-dev, libshiboken2-dev, pyqt5-dev, python3-pyqt5, python3-pyqt5.qtsvg, python3-pyside2.qtsvg, python3-sip-dev, qtbase5-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-pytest, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, shiboken2, ros-rolling-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), libpyside2-dev, libshiboken2-dev, pyqt5-dev, python3-pyqt5, python3-pyqt5.qtsvg, python3-pyside2.qtsvg, python3-sip-dev, qtbase5-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-pytest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, shiboken2, ros-rolling-ros-workspace
 Homepage: http://ros.org/wiki/python_qt_binding
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
